SyntaxHighlighter Evolved 无法显示 YAML 高亮的解决方案

发布日期:分类:问题处理

今天看到 SyntaxHighlighter Evolved 从 3.5.0 升级到了 3.5.3,增加了 YAML 的高亮支持,但是更新完之后却没有任何迹象表明可以可以显示高亮。

经过控制台探索,发现是缺少了 shBrushYaml.js,在 GitHub 也找到了相同的 issue

于是解决方案也很简单,从仓库下载对应的 shBrushYaml.js 就可以了。

cd /var/www/wordpress/wp-content/plugins/syntaxhighlighter/syntaxhighlighter3/scripts
sudo wget https://raw.githubusercontent.com/Automattic/syntaxhighlighter/master/syntaxhighlighter3/scripts/shBrushYaml.js

嘛,就是这样(

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注